<?php
/**
 * The template for displaying featured-two-columns items
 *
 * @package DevotePress
 */
?>

<?php
$number = get_theme_mod( 'devotepress_featured_two_columns_number', 5 );

if ( ! $number ) {
	// If number is 0, then this section is disabled
	return;
}

$args = array(
	'ignore_sticky_posts' => 1 // ignore sticky posts
);

$post_list  = array();// list of valid post/page ids

$type = 'page';


$args['post_type'] = $type;

for ( $i = 1; $i <= $number; $i++ ) {
	$post_id = '';

	$post_id = get_theme_mod( 'devotepress_featured_two_columns_page_' . $i );


	if ( $post_id && '' !== $post_id ) {
		// Polylang Support.
		if ( class_exists( 'Polylang' ) ) {
			$post_id = pll_get_post( $post_id, pll_current_language() );
		}

		$post_list = array_merge( $post_list, array( $post_id ) );

	}
}

$args['post__in'] = $post_list;
$args['orderby'] = 'post__in';


$args['posts_per_page'] = $number;
$loop = new WP_Query( $args );

$show_meta = get_theme_mod( 'devotepress_featured_two_columns_meta_show', 'show-meta' );

if ( $loop -> have_posts() ) :
	while ( $loop -> have_posts() ) :
		$loop -> the_post();

		$featured = 'grid-item';
		$thumbnail  = 'devotepress-featured';

		if ( 0 === ( $loop->current_post % 5 ) ) {
			$featured = 'grid-item featured';
			$thumbnail = 'devotepress-highlight-first';
		}
		?>
		<article id="post-<?php the_ID(); ?>" <?php post_class( $featured ); ?>>
			<div class="hentry-inner">
				<?php if ( has_post_thumbnail() ) { ?>
					<div class="post-thumbnail">
						<a href="<?php the_permalink(); ?>">
							<?php
							// Output the featured image.
								the_post_thumbnail( $thumbnail ); ?>
						</a>
						<?php if ( has_post_format() ) : ?>
							<div class="post-format-icon">
								<?php echo devotepress_get_svg( array(
									'icon'     => get_post_format(),
									'fallback' => true,
								) ); ?>
							</div>
						<?php endif; ?>
					</div><!-- .featured-two-columns-thumbnail -->
				<?php } ?>
				<div class="entry-container">
					<header class="entry-header">
					<?php if ( 0 === ( $loop->current_post % 5 ) ) { ?>
							<div class="entry-meta">
								<?php echo devotepress_entry_category(); ?>
							</div>
					<?php } ?>
						<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

					<?php if ( 'show-meta' === $show_meta ) { ?>
						<div class="entry-meta">
							<?php if ( 0 === ( $loop->current_post % 5 ) ) {
								echo devotepress_header_highlight_meta();
							} else {
								echo devotepress_entry_posted_on();
							} ?>
						</div><!-- .entry-meta -->
					<?php } ?>
					</header>
					<?php
					if ( 0 === ( $loop->current_post % 5 ) ) {
						echo '<div class="entry-summary"><p>' . wp_kses_post( get_the_excerpt() ) . '</p></div><!-- .entry-summary -->';
					} ?>
				</div><!-- .entry-container -->
			</div><!-- .hentry-inner -->
		</article>
	<?php
	if ( 0 === ( ( $loop->current_post + 1 ) % 5 ) && ( $loop->current_post + 1 ) < $number ) {
		echo '</div><div class="grid"><div class="grid-sizer"></div>';
	}
	endwhile;
	wp_reset_postdata();
endif;
