<?php
/**
 * The template used for displaying projects on index view
 *
 * @package DevotePress
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="hentry-inner">
		<div class="portfolio-thumbnail post-thumbnail">
			<a class="post-thumbnail" href="<?php the_permalink(); ?>">
				<?php
				// Output the featured image.
				if ( has_post_thumbnail() ) {
					$thumbnail = 'devotepress-featured';

					the_post_thumbnail( $thumbnail );
				} else {
				  	echo '<a href=' . esc_url( get_permalink() ) .'><img src="' . trailingslashit( esc_url( get_template_directory_uri() ) ) . 'assets/images/no-thumb-640x480.jpg"/></a>';
				}
				?>
			</a>
			<?php if ( has_post_format() ) : ?>
				<div class="post-format-icon">
					<?php echo devotepress_get_svg( array(
						'icon'     => get_post_format(),
						'fallback' => true,
					) ); ?>
				</div>
			<?php endif; ?>
		</div><!-- .portfolio-thumbnail -->

		<div class="entry-container">
			<header class="entry-header portfolio-entry-header">
				<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

				<div class="entry-meta">
					<?php echo devotepress_entry_posted_on(); ?>
				</div>

			</header>
		</div><!-- .entry-container -->
	</div><!-- .hentry-inner -->
</article>
