<?php
/*
 * Template Name: Right Sidebar ( Content, Primary Sidebar )
 *
 * Template Post Type: post, page
 *
 * The template for displaying Page/Post with Sidebar on right
 *
 * @package DevotePress
 */

get_header(); ?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
           <?php
    // Start the loop.
    while ( have_posts() ) : the_post();

        // Include the single post content template.
        get_template_part( 'template-parts/content/content', 'single' );

        if ( is_singular( 'attachment' ) ) {
            // Parent post navigation.
            the_post_navigation( array(
                'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'devotepress' ),
            ) );
        } elseif ( is_singular( 'post' ) ) {
            // Previous/next post navigation.
            the_post_navigation( array(
                'prev_text' => '<span aria-hidden="true" class="nav-subtitle">' . __( '< Prev Post', 'devotepress' ) . '</span><span class="nav-title">%title</span><span class="screen-reader-text">' . __( '< Prev Post', 'devotepress' ) . '</span>' ,
                'next_text' => '<span aria-hidden="true" class="nav-subtitle">' . __( 'Next Post >', 'devotepress' ) . '</span><span class="nav-title">%title</span><span class="screen-reader-text">' . __( 'Next Post >', 'devotepress' ) . '</span>' ,
            ) );
        }

        // Comments Templates
        if ( comments_open() || '0' != get_comments_number() ) {
            comments_template();
        }

        // End of the loop.
    endwhile;
    ?>
        </main><!-- .site-main -->
    </div><!-- .content-area -->
    <?php get_sidebar(); ?>
<?php get_footer(); ?>
